Skip to main content
GET
/
compute
/
clusters
/
storage
/
volumes
/
{volume_id}
Together AI SDK (v2)
from together import Together
client = Together()

volume = client.beta.clusters.storage.retrieve("volume_id")
print(volume)
{
  "volume_id": "<string>",
  "volume_name": "<string>",
  "size_tib": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.together.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

volume_id
string
required

The ID of the volume to retrieve

Response

200 - application/json

OK

volume_id
string
required

ID of the volume.

volume_name
string
required

User provided name of the volume.

size_tib
integer
required

Size of the volume in TiB.

status
enum<string>
required

Current status of the shared volume.

Available options:
scheduled,
available,
bound,
provisioning,
deleting,
failed,
access_revoked,
unknown